Bug 733544 - [abrt] ksh-20110505-2.fc14: nv_create: Process /bin/ksh was killed by signal 11 (SIGSEGV)
Summary: [abrt] ksh-20110505-2.fc14: nv_create: Process /bin/ksh was killed by signal ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ksh
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:b7df87ded7d39112ea8a9fcbabb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-26 00:23 UTC by jd1008
Modified: 2011-12-22 22:52 UTC (History)
1 user (show)

Fixed In Version: ksh-20110630-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-22 22:44:53 UTC


Attachments (Terms of Use)
File: backtrace (71.04 KB, text/plain)
2011-08-26 00:23 UTC, jd1008
no flags Details

Description jd1008 2011-08-26 00:23:11 UTC
abrt version: 1.1.18
architecture: i686
Attached file: backtrace, 72745 bytes
cmdline: -ksh
component: ksh
Attached file: coredump, 860160 bytes
crash_function: nv_create
executable: /bin/ksh
kernel: 3.0.2.0-1.fc14.i686
package: ksh-20110505-2.fc14
rating: 4
reason: Process /bin/ksh was killed by signal 11 (SIGSEGV)
release: Fedora release 14 (Laughlin)
time: 1314317843
uid: 1008

How to reproduce
-----
1. I was moving a large collection of files from current working directory to ../../some_dir_name...
2. ksh crashed.
3.

Comment 1 jd1008 2011-08-26 00:23:13 UTC
Created attachment 519995 [details]
File: backtrace

Comment 2 Michal Hlavinka 2011-08-29 07:46:53 UTC
Thanks for reporting. Hard to believe no one noticed this earlier, reproducer is just:

cd..

(or ksh -c 'cd..' )

Comment 3 Fedora Update System 2011-12-12 09:30:24 UTC
ksh-20110630-6.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ksh-20110630-6.fc15

Comment 4 Fedora Update System 2011-12-12 09:30:38 UTC
ksh-20110630-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ksh-20110630-3.fc14

Comment 5 Fedora Update System 2011-12-12 09:30:53 UTC
ksh-20110630-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ksh-20110630-6.fc16

Comment 6 Fedora Update System 2011-12-12 22:00:00 UTC
Package ksh-20110630-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ksh-20110630-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17020/ksh-20110630-6.fc16
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2011-12-22 22:44:53 UTC
ksh-20110630-6.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2011-12-22 22:52:15 UTC
ksh-20110630-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.